require 'segment/analytics'

module Rox
  module Core
    # Analytics based on segment client
    # https://segment.com/docs/connections/sources/catalog/libraries/server/ruby/
    class Analytics
      attr_reader :client

      def initialize(key)
        @client = Segment::Analytics.new({
                                           write_key: key,
                                           on_error: proc { |_status, msg| print msg }
                                         })
      end
    end
  end
end
