module Rox
  module Core
    class MergedContext
      def initialize(global_context, local_context)
        @global_context = global_context
        @local_context = local_context
      end

      def [](key)
        return @local_context[key] unless @local_context.nil? || @local_context[key].nil?
        return @global_context[key] unless @global_context.nil?

        nil
      end
    end
  end
end
