module Rox
  module Core
    class CustomProperty
      attr_accessor :name, :type

      def initialize(name, type, value = nil, &block)
        @name = name
        @type = type
        @value = value
        @block = block
      end

      def value(context)
        @block.nil? ? @value : @block.call(context)
      end
    end
  end
end
