module Rox
  module Core
    class ExperimentRepository
      def initialize
        @experiments = []
      end

      attr_writer :experiments

      def experiment_by_flag(flag_name)
        @experiments.detect { |e| e.flags.include?(flag_name) }
      end

      def all_experiments
        @experiments
      end
    end
  end
end
