module Rox
  module Core
    class CustomPropertyType
      attr_accessor :type, :external_type

      def initialize(type, external_type)
        @type = type
        @external_type = external_type
      end

      STRING = CustomPropertyType.new('string', 'String')
      BOOL = CustomPropertyType.new('bool', 'Boolean')
      INT = CustomPropertyType.new('int', 'Number')
      FLOAT = CustomPropertyType.new('double', 'Number')
      SEMVER = CustomPropertyType.new('semver', 'Semver')
    end
  end
end
