require 'securerandom'
require 'rox/core/client/device_properties'
require 'rox/version'

module Rox
  module Server
    class ServerProperties < Rox::Core::DeviceProperties
      attr_accessor :distinct_id

      def initialize(sdk_settings, rox_options)
        super(sdk_settings, rox_options)
        @distinct_id = SecureRandom.uuid
      end

      def lib_version
        Rox::VERSION
      end
    end
  end
end
