module Rox
  module Server
    class NormalizeFlagType
      def self.normalize_string(string_value)
        string_value
      end

      def self.normalize_int(string_value)
        Integer(string_value)
      end

      def self.normalize_float(string_value)
        Float(string_value)
      end

      def self.normalize_boolean(string_value)
        if string_value.is_a?(Boolean)
          string_value
        else
          string_value == 'True'
        end
      end
    end
  end
end
